Subject: Re: Linux driver for Broadcom BCM4312 [14e4:4315]

From: Dan Williams <[email-masked]>
Date: Thu, 17 Dec 2009 14:12:25 -0800

On Thu, 2009-12-17 at 21:16 +0100, Marco Divertito wrote:
> Hi
> 
> I found some valuable help on
>     http://linuxwireless.org/en/users/Drivers/b43
> Thank you all.
> 
> I don't know if that has reached you already, but for the formentioned 
> PCI-WLAN-Controller
> there is a driver readily available at Broadcom's
>     http://www.broadcom.com/support/802.11/linux_sta.php

Yes, but that driver is a proprietary blob that nobody can fix or update
when new features hit the kernel.  The upstream 'b43' and 'b43-legacy'
drivers are the right place for any Broadcom wifi hardware support.

If you're interested in helping, I know the b43 project needs some help
implementing parts of the N-PHY spec still, and also help
reverse-engineering the LP-PHY bits that are common in netbooks.

Dan